<?php
	require_once "pageBase.php";
	require_once "../dal/autokeywordDAL.php";
	require_once "../bin/system/conver.php";

	class _autokeywordChangeImportant extends pageBase
	{
		private $dal;

		//覆蓋父類load()方法
		public function load()
		{
			$this->dal = new autokeywordDAL();
			$this->loadData();
			parent::load();
		}
		public function loadData()
		{
			$id = ctype_digit($_POST["Important"])?$_POST["Important"]:"0";
			$this->dal->changeRecord($id);
			parent::redirect("autokeywordList.php");
		}
	}

	$page = new _autokeywordChangeImportant();
	$page->load();
	$page->render();
?>